# messages_byname Class Template Reference

Inheritance diagram for messages_byname:

List of all members.

### template<typename _CharT>
class std::messages_byname< _CharT >

## Public Types

- typedef int catalog
- typedef _CharT char_type
- typedef basic_string< _CharT > string_type

## Public Member Functions

- void close (catalog __c) const
- template<> wstring do_get (catalog, int, int, const wstring &) const
- template<> string do_get (catalog, int, int, const string &) const
- string_type get (catalog __c, int __set, int __msgid, const string_type &__s) const
- messages_byname (const char *__s, size_t __refs=0)
- catalog open (const basic_string< char > &, const locale &, const char *) const
- catalog open (const basic_string< char > &__s, const locale &__loc) const

## Static Public Attributes

- static locale::id id

## Protected Member Functions

- string_type _M_convert_from_char (char *) const
- char * _M_convert_to_char (const string_type &__msg) const
- virtual void do_close (catalog) const
- virtual string_type do_get (catalog, int, int, const string_type &__dfault) const
- virtual catalog do_open (const basic_string< char > &, const locale &) const

## Static Protected Member Functions

- static __c_locale _S_clone_c_locale (__c_locale &__cloc)
- static void _S_create_c_locale (__c_locale &__cloc, const char *__s, __c_locale __old=0)
- static void _S_destroy_c_locale (__c_locale &__cloc)
- static __c_locale _S_get_c_locale ()
- static const char * _S_get_c_name ()

## Protected Attributes

- __c_locale _M_c_locale_messages
- const char * _M_name_messages

## Friends

- class locale::_Impl

## Member Typedef Documentation

typedef _CharT char_type

| Public typedefs. Reimplemented from messages. Definition at line 4478 of file locale_facets.h.

## Member Data Documentation

locale::id id `[static, inherited]`

| Numpunct facet id. Definition at line 4460 of file locale_facets.h.

The documentation for this class was generated from the following file:

- locale_facets.h